// Example of how to use the LCD library with the P018.
// P017 - serial LCD controller IC
// P018 - I2C controller IC
#include <Wire.h>
#include <p018.h> // defines LCD

// These are the A pins
// A5 = SCL
// A4 = SDA

// constructor defines pins and the address of the device
// in this case 'p'
LCD disp(0x38);

void setup()  {

}


void loop() 
{
// example of custom charatcers
char custom0[]={4,10,21,4,4,4,4,4}; // up arrow
char custom1[]={0,0,1,2,20,8,0,0}; // tick
  // example of defining above custom characters
  disp.lcd_defcust(0,custom0);
  disp.lcd_defcust(1,custom1);
  
  disp.lcd_cls(); // clear display
  disp.lcd_print("First Line");
  disp.lcd_rowcol(1,0);
  disp.lcd_print("Second Line:");
  disp.lcd_print(77); // prints a number
  disp.lcd_printcust(1); // print a tick
  delay(2000);

  // now go through some back light colours
  while(1) {
    disp.lcd_cls();
    disp.lcd_bl(10,0,0);
    disp.lcd_print("Red");
    delay(1500);
    disp.lcd_cls();
    disp.lcd_bl(0,10,0);
    disp.lcd_print("Green");
    delay(1500);
    disp.lcd_cls();
    disp.lcd_bl(0,0,10);
    disp.lcd_print("Blue");
    delay(1500);
  }
}


